.o-sticky-footer {
  position: fixed;
  bottom: 0;
  right: 10px;
  z-index: 300;

  width: calc(100% - 28rem);
  height: 8rem;
  padding: 0 3.2rem;

  transition: all 0.25s;
  background-color: #fff;

  &::before {
    position: absolute;
    top: -0.5rem;
    right: 0;
    z-index: 1;

    width: 100%;
    height: 0.5rem;

    background: linear-gradient(0deg, rgba(0, 0, 0, 0.1), transparent);
    opacity: 1;

    content: "";

    transition: opacity 0.25s;

    pointer-events: none;
  }

  &::after {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 1;

    width: 100%;
    height: 100%;

    background: rgba($color: #fff, $alpha: 0.75);
    backdrop-filter: blur(0.5rem);

    opacity: 1;

    content: "";

    transition: opacity 0.25s;
  }

  &[data-blur="false"] {
    &::before,
    &::after {
      opacity: 0;
    }
  }

  &[data-size="lg"] {
    width: calc(100% - 13rem);
  }

  &__container {
    position: relative;
    z-index: 2;

    width: 100%;
    height: 100%;

    display: flex;
    align-items: center;
  }
}
